petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeRestoreAccessArray

Returns the vectors obtained with DMCompositeGetAccessArray()

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeRestoreAccessArray(DM dm,Vec pvec,PetscInt nwanted,const PetscInt *wanted,Vec *vecs)

Collective on DMComposite Many br

### Input Parameters

| dm | - the packer object Many br
| pvec | - packed vector Many br
| nwanted | - number of vectors wanted Many br
| wanted | - sorted array of vectors wanted, or NULL to get all vectors Many br
| vecs | - array of global vectors to return Many br

Many br

### See Also

DMCompositeRestoreAccess(), DMCompositeRestoreEntries(), DMCompositeScatter(), DMCompositeGather()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages